package com.cirs.biz.domain;

import com.cirs.common.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

/**
 * 查询推荐结果 recommendifo
 *
 * @author wangruilin
 * @date 2023-11-04
 */

public class RecommendInfo {
    @Excel(name="元器件id")
    private Long id;
    @Excel(name = "元器件规格")
    private String componentModel;

    @Excel(name = "元器件名称")
    private String componentName;

    @Excel(name= "质量等级")
    private String qualityGrade;

    @Excel(name = "国产替代型号")
    private String replaceDomesticModel;

//    @Excel(name="应用")//应用场景
//    private List<String> applications;
//
//    @JsonFormat(pattern = "yyyy-MM-dd")
//    @Excel(name = "使用日期", width = 30, dateFormat = "yyyy-MM-dd")
    private List<Date> usedDates;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public List<Date> getUsedDates() {
        return usedDates;
    }

    public void setUsedDates(List<Date> usedDates) {
        this.usedDates = usedDates;
    }

    public String getQualityGrade() {
        return qualityGrade;
    }

    public void setQualityGrade(String qualityGrade) {
        this.qualityGrade = qualityGrade;
    }

    public String getComponentName()
    {
        return componentName;
    }
    public void setComponentName(String componentName)
    {
        this.componentName = componentName;
    }

    public String getComponentModel()
    {
        return componentModel;
    }
    public void setComponentModel(String componentModel) {
        this.componentModel = componentModel;
    }

    public void setReplaceDomesticModel(String replaceDomesticModel)
    {
        this.replaceDomesticModel = replaceDomesticModel;
    }

    public String getReplaceDomesticModel()
    {
        return replaceDomesticModel;
    }

//    public void setApplications(List<String> applications)
//    {
//        this.applications = applications;
//    }
//
//    public List<String> getApplications()
//    {
//        return applications;
//    }

}
